ros-melodic-image-view (1.15.0-1stretch) stretch; urgency=high

  * image_view: add missing dependency to gencfg header (#532 <https://github.com/ros-perception/image_pipeline/issues/532>)
  * clone cv_ptr->image before set queued_image (#526 <https://github.com/ros-perception/image_pipeline/issues/526>)
  * [image_view] Add dynamic reconfigure to image_nodelet.cpp in melodic (#504 <https://github.com/ros-perception/image_pipeline/issues/504>)
  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Atsushi Watanabe, Kei Okada, Naoya Yamaguchi, Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-image-view (1.14.0-1stretch) stretch; urgency=high

  * Merge pull request #481 <https://github.com/ros-perception/image_pipeline/issues/481> from ros-perception/fix/reliably-close-image-view
  * image_view: Making window close reliably shut down node.
  * Removing image_view node and replacing with image_view that loads nodelet. (#479 <https://github.com/ros-perception/image_pipeline/issues/479>)
  * Fix build issue re: missing hb.h (#458 <https://github.com/ros-perception/image_pipeline/issues/458>)
  * Contributors: Joshua Whitley, Steven Macenski, Tim Übelhör, acxz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-image-view (1.13.0-1stretch) stretch; urgency=high

  * Implemented extracting raw image data (#329 <https://github.com/ros-perception/image_pipeline/issues/329>)
    Implementation of the raw image extraction if the file extension is .raw. This file extension is not supported by cv::imwrite so there is be no conflict. The raw files only containing the pixel data without any meta data which allows usage in MATLAB or other tools.
  * Merge pull request #375 <https://github.com/ros-perception/image_pipeline/issues/375> from fizyr-forks/opencv4
  * Fix OpenCV4 compatibility.
  * Merge pull request #337 <https://github.com/ros-perception/image_pipeline/issues/337> from yoshito-okada/fix_image_view_nodelet
    Fix threading issue in image_view nodelet. Closes #331 <https://github.com/ros-perception/image_pipeline/issues/331>.
  * Merge pull request #394 <https://github.com/ros-perception/image_pipeline/issues/394> from angeltop/indigo
    image_view: video recorder fix for conversion of fps to ros::Duration
  * Merge pull request #379 <https://github.com/ros-perception/image_pipeline/issues/379> from fizyr-forks/boost-1.69
    Fix boost 1.69 compatibility
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding stevemacenski as maintainer to get emails
  * adding autonomoustuff mainainer
  * Merge pull request #343 <https://github.com/ros-perception/image_pipeline/issues/343> from fkie-forks/work_around_opencv_highgui_bug
    Work around OpenCV highgui bug
    I had to remove the GTK workaround, since it creates symbol collisions between GTK2 and GTK3.
  * Refresh GUI on image update as well
  * Use WallTimer for backwards compatibility with ROS Indigo
  * Switch to SteadyTimer as suggested in review
  * Remove unused signals from find_package(Boost COMPONENTS ...)
    The signals library was not used at all, and it has been removed from
    boost 1.69. As a result, the package doesn't build anymore with boost
    1.69 without this change.
  * While we're at it, work around the mutex assertion failure on exit
  * Work around an OpenCV bug with GTK and threading
  * add ThreadSageImage class to encapsilate mutex operation for image
  * handle window in single thread
  * Contributors: Hans Gaiser, Joshua Whitley, Maarten de Vries, Philipp, Timo Röhling, Yoshito Okada, angeltop, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-image-view (1.12.23-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-image-view (1.12.22-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-image-view (1.12.21-1stretch) stretch; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-image-view (1.12.20-1stretch) stretch; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)
    The python-opencv dependency pulls in the system OpenCV v2.4 which is
    not required since the image_view package depends on cv_bridge which
    pulls in opencv3 and opencv3 provides the python library that
    image_view can use.
  * Fix encoding error message (#253 <https://github.com/ros-perception/image_pipeline/issues/253>)
    * Fix encoding error message
    * Update image_saver.cpp
    Allow compilation on older compilers
  * Including stereo_msgs dep fixes #248 <https://github.com/ros-perception/image_pipeline/issues/248> (#249 <https://github.com/ros-perception/image_pipeline/issues/249>)
  * Add no gui mode to just visualize & publish with image_view (#241 <https://github.com/ros-perception/image_pipeline/issues/241>)
  * stere_view: fixed empty left, right, disparity windows with opencv3
  * Apply value scaling to depth/float image with min/max image value
    If min/max image value is specified we just use it, and if not,
    - 32FC1: we assume depth image with meter metric, and 10[m] as the max range.
    - 16UC1: we assume depth image with milimeter metric, and 10 * 1000[mm] as the max range.
  * Depends on cv_bridge 1.11.13 for CvtColorForDisplayOptions
    Close #238 <https://github.com/ros-perception/image_pipeline/issues/238>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Christopher Wecht, Kartik Mohta, Kei Okada, Kentaro Wada, Lukas Bulwahn, Leonard Gerard, Vincent Rabaud, cwecht, mryellow

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-melodic-image-view (1.12.19-1stretch) stretch; urgency=high

  * Add colormap option in video_recorder
  * Merge pull request #203 <https://github.com/ros-perception/image_pipeline/issues/203> from wkentaro/video-recorder-timestamp
    [image_view] Stamped video output filename for video recorder
  * bump version requirement for cv_bridge dep
    Closes #215 <https://github.com/ros-perception/image_pipeline/issues/215>
  * Request for saving image with start/end two triggers
  * Stamped video output filename
    - _filename:=output.avi _stamped_filename:=false -> output.avi
    - _filename:=_out.avi _stamped_filename:=true -> 1466299931.584632829_out.avi
    - _filename:=$HOME/.ros/.avi _stamped_filename:=true -> /home/ubuntu/.ros/1466299931.584632829.avi
  * Revert max_depth_range to default value for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-melodic-image-view (1.12.18-1stretch) stretch; urgency=high

  * Use image_transport::Subscriber aside from ros::Subscriber
  * Refactor: Remove subscription of camera_info in video_recorder
  * Add colormap options for displaying image topic
  * Use CvtColorForDisplayOptions for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-melodic-image-view (1.12.17-1stretch) stretch; urgency=high

  * Fix timestamp to get correct fps in video_recorder
  * Get correct fps in video_recorder.cpp
  * Do dynamic scaling for float images
  * Contributors: Kentaro Wada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-melodic-image-view (1.12.16-1stretch) stretch; urgency=high

  * Remove code for roslib on .cfg files
    Closes #185 <https://github.com/ros-perception/image_pipeline/issues/185>
  * add cv::waitKey for opencv3 installed from source to fix freezing issue
  * when no image is saved, do not save camera info
    When the images are not recorded because "save_all_image" is false and "save_image_service" is false, the frame count should not be incremented and the camera info should not be written to disk.
  * Add std_srvs to catkin find_package()
  * Contributors: Jeremy Kerfs, Jochen Sprickerhof, Kentaro Wada, Krishneel

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-melodic-image-view (1.12.15-1stretch) stretch; urgency=high

  * simplify the OpenCV dependency
  * [image_view] Configure do_dynamic_scaling param with dynamic_reconfigure
  * [image_view] Scale 16UC1 depth image
  * fix compilation
  * Extract images which are synchronized with message_filters
  * [image_view] Show full path when failed to save image
  * [image_view] Enable to specify transport with arg
  * [image_view] feedback: no need threading for callback
  * [image_view/image_view] Make as a node
  * Added sensor_msgs::Image conversion to cv::Mat from rqt_image_view in
    order to be able to create videos from kinect depth images (cv_bridge
    currently doesn't support 16UC1 image encoding).
    Code adapted from:
    https://github.com/ros-visualization/rqt_common_plugins/blob/groovy-devel/rqt_image_view/src/rqt_image_view/image_view.cpp
  * simplify OpenCV3 conversion
  * use the color conversion for display from cv_bridge
  * Contributors: Carlos Costa, Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-image-view (1.12.14-1stretch) stretch; urgency=high

  * reduce the differences between OpenCV2 and 3
  * do not build GUIs on Android
    This fixes #137 <https://github.com/ros-perception/image_pipeline/issues/137>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-melodic-image-view (1.12.13-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-melodic-image-view (1.12.12-1stretch) stretch; urgency=high

  * Convert function to inline to avoid duplicates with image_transport
  * Revert "remove GTK dependency"
    This reverts commit a6e15e796a40385fbbf8da05966aa47d179dcb46.
    Conflicts:
    image_view/CMakeLists.txt
    image_view/src/nodelets/disparity_nodelet.cpp
    image_view/src/nodes/stereo_view.cpp
  * Revert "make sure waitKey is called after imshow"
    This reverts commit d13e3ed6af819459bca221ece779964a74beefac.
  * Revert "brings back window_thread"
    This reverts commit 41a655e8e99910c13a3e7f1ebfdd083207cef76f.
  * Contributors: Gary Servin, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-melodic-image-view (1.12.11-1stretch) stretch; urgency=high

  * brings back window_thread
    This fixes #102 <https://github.com/ros-perception/image_pipeline/issues/102> fully
  * small optimizations
  * add the image_transport parameter
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-melodic-image-view (1.12.10-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000

ros-melodic-image-view (1.12.9-1stretch) stretch; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Sep 2014 05:00:00 -0000

ros-melodic-image-view (1.12.8-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 Aug 2014 05:00:00 -0000

ros-melodic-image-view (1.12.6-1stretch) stretch; urgency=high

  * make sure waitKey is called after imshow
  * remove GTK dependency
  * small speedups
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Jul 2014 05:00:00 -0000

ros-melodic-image-view (1.12.5-1stretch) stretch; urgency=high

  * image_view: Add depend on gtk2
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 11 May 2014 05:00:00 -0000

ros-melodic-image-view (1.12.4-1stretch) stretch; urgency=high

  * fixes #65 <https://github.com/ros-perception/image_pipeline/issues/65>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 28 Apr 2014 05:00:00 -0000

ros-melodic-image-view (1.12.3-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 05:00:00 -0000

ros-melodic-image-view (1.12.2-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 08 Apr 2014 05:00:00 -0000

ros-melodic-image-view (1.12.1-1stretch) stretch; urgency=high

  * get proper opencv dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 06 Apr 2014 05:00:00 -0000

ros-melodic-image-view (1.11.7-1stretch) stretch; urgency=high

  * Added requirement for core.
  * Contributors: Jonathan J Hunt

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 28 Mar 2014 05:00:00 -0000

ros-melodic-image-view (1.11.3-1stretch) stretch; urgency=high

  * #41: allow image_saver to save image topics
  * #40: use proper download URL

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 06 Oct 2013 21:21:55 -0500


